
import 'package:witsystem_core/error/entity/ErrorType.dart';
import 'package:witsystem_core/error/entity/WitsystemError.dart';
import 'package:witsystem_core/generated/l10n.dart';

///蓝牙异常

class BleError{

  static WitsystemError error(int code) {
    return _errMap[code] ?? _unknown;
  }

  static final WitsystemError _unknown = WitsystemError(
      code: -9999, type: ErrorType.ble, error: S.current.unknown); //未知错误

  static final Map<int, WitsystemError> _errMap ={
    0: WitsystemError(code: 0, type: ErrorType.ble, error: S.current.success),

    11001: WitsystemError(code:11001, type: ErrorType.ble, error:S.current.bluetooth_is_not_on),
    11002: WitsystemError(code:11002, type: ErrorType.ble, error:S.current.gps_not_open),
    11003: WitsystemError(code:11003, type: ErrorType.ble, error:S.current.less_permissions),
    11004: WitsystemError(code:11004, type: ErrorType.ble, error:S.current.scan_time_out),
    11006: WitsystemError(code:11006, type: ErrorType.ble, error:S.current.connection_timeout),
    11007: WitsystemError(code:11007, type: ErrorType.ble, error:S.current.ble_device_initialized),
    11008: WitsystemError(code:11008, type: ErrorType.ble, error:S.current.ble_not_connected),
    11009: WitsystemError(code:11009, type: ErrorType.ble, error:S.current.ble_connection_fail),
    11010: WitsystemError(code:11010, type: ErrorType.ble, error:S.current.ble_write_fail),
    11011: WitsystemError(code:11011, type: ErrorType.ble, error:S.current.lack_pullback),
    11012: WitsystemError(code:11012, type: ErrorType.ble, error:S.current.certification_timeout),
    11013: WitsystemError(code:11013, type: ErrorType.ble, error:S.current.ble_send_data_timeout),
    11014: WitsystemError(code:11014, type: ErrorType.ble, error:S.current.bluetooth_not_supported),
    11015: WitsystemError(code:11015, type: ErrorType.ble, error:S.current.timeout_exception),
    11016: WitsystemError(code:11016, type: ErrorType.ble, error:S.current.interrupted_exception),
    11017: WitsystemError(code:11017, type: ErrorType.ble, error:S.current.execution_exception),
    11018: WitsystemError(code:11018, type: ErrorType.ble, error:S.current.listening_failed),
    66001: WitsystemError(code:66001, type: ErrorType.ble, error:S.current.freeze),
    66002: WitsystemError(code:66002, type: ErrorType.ble, error:S.current.opening_time_reached),
    66003: WitsystemError(code:66003, type: ErrorType.ble, error:S.current.overdue),
    66004: WitsystemError(code:66004, type: ErrorType.ble, error:S.current.device_exist),
    66005: WitsystemError(code:66005, type: ErrorType.ble, error:S.current.device_not_initialized),
    66006: WitsystemError(code:66006, type: ErrorType.ble, error:S.current.interactive_data_failed),
    66007: WitsystemError(code:66007, type: ErrorType.ble, error:S.current.failed_setting_state),
    66008: WitsystemError(code:66008, type: ErrorType.ble, error:S.current.lack_device_permissions),


  };
}