
import 'package:witsystem_core/error/entity/ErrorType.dart';
import 'package:witsystem_core/error/entity/WitsystemError.dart';
import 'package:witsystem_core/generated/l10n.dart';

///指令的异常
class CommandError{
  static WitsystemError error(String code) {
    return _errMap[code] ?? _unknown;
  }

  static final WitsystemError _unknown = WitsystemError(
      code: -9999, type: ErrorType.command, error: S.current.unknown); //未知错误

  static final Map<String, WitsystemError> _errMap ={
    "00": WitsystemError(code: "00", type: ErrorType.command, error: S.current.success),
    "01": WitsystemError(code: "01", type: ErrorType.command, error: S.current.cmd_bag_wrong),
    "02": WitsystemError(code: "02", type: ErrorType.command, error: S.current.cmd_exe_fail),
    "03": WitsystemError(code: "03", type: ErrorType.command, error: S.current.cmd_fingerprint_full),
    "04": WitsystemError(code: "04", type: ErrorType.command, error: S.current.cmd_card_full),
    "05": WitsystemError(code: "05", type: ErrorType.command, error: S.current.cmd_card_close),
    "06": WitsystemError(code: "06", type: ErrorType.command, error: S.current.cmd_password_full),
    "07": WitsystemError(code: "07", type: ErrorType.command, error: S.current.cmd_wifi_pwd_wrong),
    "08": WitsystemError(code: "08", type: ErrorType.command, error: S.current.cmd_wifi_not_find),
    "09": WitsystemError(code: "09", type: ErrorType.command, error: S.current.cmd_wifi_connection_fail),
    "0A": WitsystemError(code: "0A", type: ErrorType.command, error: S.current.cmd_anonymousl),
    "0B": WitsystemError(code: "0B", type: ErrorType.command, error: S.current.cmd_token_fail),
    "0C": WitsystemError(code: "0C", type: ErrorType.command, error: S.current.cmd_otaing),
    "0D": WitsystemError(code: "0D", type: ErrorType.command, error: S.current.cmd_up_to_date),
    "0E": WitsystemError(code: "0E", type: ErrorType.command, error: S.current.cmd_card_exist),
    "0F": WitsystemError(code: "0F", type: ErrorType.command, error: S.current.cmd_overtime),
    "10": WitsystemError(code: "10", type: ErrorType.command, error: S.current.cmd_init_fail),
    "11": WitsystemError(code: "11", type: ErrorType.command, error: S.current.cmd_registration_fail),
    "12": WitsystemError(code: "12", type: ErrorType.command, error: S.current.cmd_system_error),
    "13": WitsystemError(code: "13", type: ErrorType.command, error: S.current.cmd_not_face),
    "14": WitsystemError(code: "14", type: ErrorType.command, error: S.current.cmd_face_min),
    "15": WitsystemError(code: "15", type: ErrorType.command, error: S.current.cmd_face_max),
    "16": WitsystemError(code: "16", type: ErrorType.command, error: S.current.cmd_face_left),
    "17": WitsystemError(code: "17", type: ErrorType.command, error: S.current.cmd_face_right),
    "18": WitsystemError(code: "18", type: ErrorType.command, error: S.current.cmd_face_top),
    "19": WitsystemError(code: "19", type: ErrorType.command, error: S.current.cmd_face_bottom),
    "1A": WitsystemError(code: "1A", type: ErrorType.command, error: S.current.cmd_face_clockwise),
    "1B": WitsystemError(code: "1B", type: ErrorType.command, error: S.current.cmd_face_anticlockwise),
    "1C": WitsystemError(code: "1C", type: ErrorType.command, error: S.current.cmd_face_keep_left),
    "1D": WitsystemError(code: "1D", type: ErrorType.command, error: S.current.cmd_face_keep_right),
    "1E": WitsystemError(code: "1E", type: ErrorType.command, error: S.current.cmd_face_keep_top),
    "1F": WitsystemError(code: "1F", type: ErrorType.command, error: S.current.cmd_face_keet_bottom),
    "20": WitsystemError(code: "20", type: ErrorType.command, error: S.current.cmd_face_vague),
    "21": WitsystemError(code: "21", type: ErrorType.command, error: S.current.cmd_face_illegal),
    "22": WitsystemError(code: "22", type: ErrorType.command, error: S.current.cmd_face_exist),
    "23": WitsystemError(code: "23", type: ErrorType.command, error: S.current.cmd_face_full),
    "24": WitsystemError(code: "24", type: ErrorType.command, error: S.current.cmd_face_not_exist),
    "25": WitsystemError(code: "25", type: ErrorType.command, error: S.current.cmd_parameter_incorrect),
    "26": WitsystemError(code: "26", type: ErrorType.command, error: S.current.cmd_id_exist),
    "F0": WitsystemError(code: "F0", type: ErrorType.command, error: S.current.cmd_other_error),
    "F1": WitsystemError(code: "F1", type: ErrorType.command, error: S.current.cmd_cmd_error),
  };
}