import 'package:witsystem_core/error/entity/ErrorType.dart';
import 'package:witsystem_core/error/entity/WitsystemError.dart';
import 'package:witsystem_core/generated/l10n.dart';

///初始化witsystem系列SDK
class SdkError {
  static WitsystemError error(int code) {
    return _errMap[code] ?? _unknown;
  }

  static final WitsystemError _unknown = WitsystemError(
      code: -9999, type: ErrorType.sdk, error: S.current.unknown); //未知错误

  static final Map<int, WitsystemError> _errMap = {
    44001: WitsystemError(code: 44001, type: ErrorType.command, error: S.current.repeat_init),
    44002: WitsystemError(code: 44002, type: ErrorType.command, error: S.current.fast_init_net),
  };
}